{ lib
, ... }: {
  global = {
    id = "63795fdf54e048dcbefcbc525ec3779d";
    auth.openssh.enable = true;
    libvirt.enable = false;
    fs.esp.uuid = "3838-0946";
    fs.type = "xfs";
    fs.store = "8476f738-b83b-4736-abd7-08a1943cf60a";
    lowmem.enable = true;
  };

  imports = lib.pipe ./. [
    builtins.readDir
    (lib.filterAttrs (n: ty: ty == "regular" && n != "default.nix"))
    (lib.mapAttrsToList (n: _: ./${n}))
  ];
}
